Package org.eclipse.birt.chart.model.attribute

# Enum DataType

java.lang.Object
java.lang.Enum<DataType>
org.eclipse.birt.chart.model.attribute.DataType

All Implemented Interfaces:
  `Serializable`, `Comparable<DataType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum DataType extends Enum<DataType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Data Type', and utility methods for working with them. This type represents the possible data type values associated with chart components.

See Also:
  - `AttributePackage.getDataType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATE_TIME_LITERAL`
The 'Date Time' literal object.
`NUMERIC_LITERAL`
The 'Numeric' literal object.
`TEXT_LITERAL`
The 'Text' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATE_TIME`
The 'Date Time' literal value.
`static final int`
`NUMERIC`
The 'Numeric' literal value.
`static final int`
`TEXT`
The 'Text' literal value.
`static final List<DataType>`
`VALUES`
A public read-only list of all the 'Data Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static DataType`
`get(int value)`
Returns the 'Data Type' literal with the specified integer value.
`static DataType`
`get(String literal)`
Returns the 'Data Type' literal with the specified literal value.
`static DataType`
`getByName(String name)`
Returns the 'Data Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static DataType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DataType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NUMERIC_LITERAL

public static final DataType NUMERIC_LITERAL
The 'Numeric' literal object.

If the meaning of 'Numeric' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NUMERIC`

### DATE_TIME_LITERAL

public static final DataType DATE_TIME_LITERAL
The 'Date Time' literal object.

If the meaning of 'Date Time' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DATE_TIME`

### TEXT_LITERAL

public static final DataType TEXT_LITERAL
The 'Text' literal object.

If the meaning of 'Text' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TEXT`

## Field Details

### NUMERIC

public static final int NUMERIC
The 'Numeric' literal value.

See Also:
  - `NUMERIC_LITERAL`
  - Constant Field Values

### DATE_TIME

public static final int DATE_TIME
The 'Date Time' literal value.

See Also:
  - `DATE_TIME_LITERAL`
  - Constant Field Values

### TEXT

public static final int TEXT
The 'Text' literal value.

See Also:
  - `TEXT_LITERAL`
  - Constant Field Values

### VALUES

public static final List<DataType> VALUES
A public read-only list of all the 'Data Type' enumerators.

## Method Details

### values

public static DataType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DataType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static DataType get(String literal)
Returns the 'Data Type' literal with the specified literal value.

### getByName

public static DataType getByName(String name)
Returns the 'Data Type' literal with the specified name.

### get

public static DataType get(int value)
Returns the 'Data Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<DataType>`